syntaxTree

## Class NodeEqualTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - syntaxTree.NodeEqualTest

All Implemented Interfaces:
  junit.framework.Test

    public class NodeEqualTest
    extends junit.framework.TestCase

### Field Summary

Fields
`private static java.lang.String` `rootDirectory`
`private static java.lang.String` `testFile`

### Constructor Summary

Constructors
Constructor and Description
`NodeEqualTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`private void` `recursivlyCheckEqual(SyntaxTreeNode node1, SyntaxTreeNode node2)`
`void` `test()`

### Methods inherited from class junit.framework.TestCase

`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### rootDirectory

    private static final java.lang.String rootDirectory

#### testFile

    private static final java.lang.String testFile

See Also:
  Constant Field Values

### Constructor Detail

#### NodeEqualTest

    public NodeEqualTest()

### Method Detail

#### test

    public void test()

#### recursivlyCheckEqual

    private void recursivlyCheckEqual(SyntaxTreeNode node1,
                                      SyntaxTreeNode node2)